# MIT Kerberos Documentation

Contents | previous | next | index | Search | feedback

# krb5_cc_initialize - Initialize a credential cache.

krb5_error_code krb5_cc_initialize(krb5_context context, krb5_ccache cache, krb5_principal principal)

param:

  [in] context - Library context

  [in] cache - Credential cache handle

  [in] principal - Default principal name

retval:

  - 0 Success

return:

  - System errors; Permission errors; Kerberos error codes

Destroy any existing contents of cache and initialize it for the default principal principal .